/**
 * 本地使用storage存储书籍常用方法
 * 
 * */
//mui.plusReady(function(){
	
	
	//插入检查唯一性
	function setItemFun(key, value) {
		var itemLength = getLengthFun();
		for( var i=0; i < itemLength; i++ ){
			var k = plus.storage.key(i);
			var v = plus.storage.getItem(k);
			if(v === value){
				return;
			}
		}
		plus.storage.setItem(key,value);
	}
	
	function getItemFun(key){
		return plus.storage.getItem(key);
	}
	
	function getLengthFun(){
		return plus.storage.getLength();
	}
	
	function getAllItem(limit){
		var myArray=new Array()
		var itemLength = getLengthFun();
		for ( var i=0; i < itemLength; i++ ) {
			var key = plus.storage.key(i);
			if(key.indexOf(limit) != -1 || !limit){
				var value = plus.storage.getItem(key);
		  		myArray.push(key+"#"+value)
			}
		};
		return myArray;
	}
	
	function delKey(key){
		plus.storage.removeItem(key);
	}
	
	function delItem(limit) {
		var num = 0;
		while(true){
			var savedate = getAllItem(limit);
			if(savedate.length != 0){
				var itemLength = getLengthFun();
				for (var i=0; i < itemLength+1; i++) {
					var key = plus.storage.key(i);
					if(key.indexOf(limit) != -1 || !limit){
				  		plus.storage.removeItem(key);
				  		num ++;
					}
				};
			}else{
				break;
			}
		}
		return num;
	}
	
	function clearAllItem(){
		plus.storage.clear();
		var num = getLengthFun();
		if ( num == 0 ) {
			alert( "storage数据清除成功！" );
		}else{
			alert( "storage数据清除失败！" );
		}
	}
//});

